
html {
    font-family: 'Roboto','Helvetica Narrow', 'Arial Narrow', sans-serif;
}

body {
    margin: 0rem;

    background-color: #FAFAFA;
}

header {
    position: sticky;
    top: 0;

    max-height: 100px;;

    box-shadow: 0px 2px 10px #BBBBBB;
}

a {
    text-decoration: none;
    color: black;
}

#header {
    display: flex;
    flex-direction: row;
    align-items: center;

    justify-content: space-between;

    background-color: #333333;
    color: #EDEDED;
}

#header-line{
    background-color: #FDE311;
    height: .6rem;
}

#logo {
    flex: 5;

    width: min-content;
    min-height: 50px;

    cursor:pointer;

    margin: .5rem;
    margin-left: 1rem;
    margin-right: 1rem;
}

#page-title {
    flex: 35;

    font-size: 18pt;
    text-align: center;
    vertical-align: middle;
}

#user-block {
    flex: 4;

    width: min-content;

    margin: .5rem;
    margin-left: 1rem;
    margin-right: 1rem;
}

#hamburger-button {
    flex: 1;

    font-size:30px;
    text-align: right;

    cursor:pointer;

    margin: .5rem;
    margin-left: 1rem;
    margin-right: 1rem;
}

.hamburger {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  right: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 3rem;
}

.hamburger a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #EDEDED;
  display: block;
  transition: 0.3s;
}

.navButton:hover {
    color: #000000;
    background-color: #E90802;
}

.hamburger .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

@media screen and (max-height: 450px) {
  .hamburger {padding-top: 15px;}
  .hamburger a {font-size: 18px;}
}

main {
    display: flex;
    flex-direction: column;

    padding: 1rem;

    justify-content: center;
    justify-items: center;

    transition: margin-right .5s;   
}





.display-row {
    display: flex;
    flex-direction: row;
    flex-grow: 1;
}

.display-row > .section {
    margin-left: 1rem;
}

.display-column {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}




.section {
    display: flex;
    flex-direction: column;
    flex-grow: 1;

    margin-bottom: 1rem;

    border-radius: 10px;
    box-shadow: 0px 0px 5px #BBBBBB;

    padding: 1rem;

    background-color: #FFFFFF;
}

.section:first-child {
    margin-left: 0rem;
}

.section h2 {
    margin: 0rem;

    margin-bottom: .75rem;
}

.section-narrow {
    display: flex;
    flex-direction: column;
    
    width: max-content;

    align-self: center;
}

.section-narrow h2 {
    margin: 0rem;

    margin-bottom: .75rem;
}

.row-subsection {
    display: flex;
    flex-direction: row;
    flex-grow: 1;

    margin-right: .5rem;

    padding: 1rem;

    border-radius: 5px;

    background-color: #EDEEF6;
}

.row-subsection:last-child {
    margin-right: 0rem;
}

.row-subsection h3 {
    margin: 0rem;
    margin-bottom: .5rem;
}

.row-subsection h4 {
    margin: 0rem;
    margin-bottom: .5rem;
}

.column-subsection {
    flex-direction: column;
    flex-grow: 1;

    margin-bottom: .5rem;

    padding: 1rem;

    border-radius: 5px;

    background-color: #EDEEF6;
}

.column-subsection:last-child {
    margin-bottom: 0rem;
}

.column-subsection h3 {
    margin: 0rem;
    margin-bottom: .5rem;
}

.column-subsection h4 {
    margin: 0rem;
    margin-bottom: .5rem;
}

.button {
    margin-top: .5rem;
}

.button-inner {
    padding: .5rem;

    border-radius: 5px;

    background-color: #FFFFFF;
}

.button:hover {
    box-shadow: 0px 0px 5px #BBBBBB;
}

.button-title {
    margin: 0rem;
}

.button-subtitle {
    margin: 0rem;
    
    color: #777777;
    
    font-size: smaller;
}

.table-header {
    background-color: #DADADA;
}


.field-label {
    margin: 0rem;
}

.text-field {
    margin-top: .25rem;
    margin-bottom: .5rem;

    min-width: 15rem;
    min-height: 1.75rem;

    border: 2pt, solid, #BBBBBB;
    border-radius: 1rem;
}

.button-submit {
    margin-top: .5rem;

    text-align: center;
    align-content: center;

    min-height: 1.75rem;

    background-color: white;

    border: 2pt, solid, #BBBBBB;
    border-radius: 1rem;
}

.button-submit:hover {
    background-color: #BBBBBB;
}